server:
  shutdown: graceful
  port: 9078
  servlet:
    context-path: /
    
  ssl: 
    enabled: false
    key-alias: fimskeystore
    key-store: classpath:ssl/fimskeystore.pkcs12
    key-store-password: 'Xit5811807@)@#'
    key-password: 'Xit5811807@)@#'
    trust-store: classpath:ssl/fimstrust.pkcs12
    trust-store-password: 'Xit5811807@)@#'
    
#  tomcat:
#    remoteip:
#      protocol-header-https-value: https             

spring:
  application:
    name: fims-chongno
  main:
    allow-bean-definition-overriding: true
#    web-application-type: SERVLET
  profiles:
    active: dev
  sql:
    init:
      platform: mariadb
  mvc:
    static-path-pattern: /resources/**,/webjars/**,/files/**
  web:
    resources:
      static-locations: /resources/,classpath:/META-INF/resources/webjars/,file:files/
      
messageSource:
  basenames:
    - classpath:message/message-common
    - classpath:message/authentication-message
    - classpath:org/egovframe/rte/fdl/property/messages/properties

springdoc:
  swagger-ui:
    path: /swagger.html

propertyService:
  properties:
    - tempDir: C:\temp
    - pageUnit: 10
    - pageSize: 10
    - permitAccess: /intf/**/*
  extFileName:
    - encoding: UTF-8
      filename: classpath*:intf-conf/xit-lvis.properties
